XnNodeAllocator Class Reference

`#include <XnNodeAllocator.h>`

Inheritance diagram for XnNodeAllocator:
[legend]

## Public Member Functions

virtual XnNode * | Allocate ()
virtual void | Deallocate (XnNode *pNode)
Public Member Functions inherited from INiNodeAllocator
virtual | ~INiNodeAllocator ()

## Member Function Documentation

## Allocate()

virtual XnNode * XnNodeAllocator::Allocate | ( |  | ) |

inline virtual

Allocate a new XnNode

Returns
  NULL if allocating a new node failed

Implements INiNodeAllocator.

## Deallocate()

virtual void XnNodeAllocator::Deallocate | ( | XnNode * | pNode | ) |

inline virtual

Release an XnNode

Parameters

  pNode | [in] The node to deallocate

Implements INiNodeAllocator.

The documentation for this class was generated from the following file:

- XnNodeAllocator.h